## mididings 0~20101119

=== debian/changelog ===
mididings (0~20101119-1) unstable; urgency=low

  * Really build with libsmf support.
  * Imported Upstream version 0~20101119
  * File in ./doc/examples/ are public domain, as stated in README.

 -- Alessio Treglia <alessio@debian.org>  Sat, 20 Nov 2010 11:13:28 +0100

mididings (0~20100602-1) unstable; urgency=low

  * Initial release. (Closes: #600914)

 -- Alessio Treglia <alessio@debian.org>  Thu, 21 Oct 2010 12:50:41 +0200
