=== debian/control ===
Source: mididings
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Alessio Treglia <alessio@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
 python-all-dev (>= 2.5),
 libasound2-dev,
 libjack-dev,
 python-support (>= 0.90),
 python-gobject-dev (>= 2.18.0),
 libsmf-dev,
 libboost-python-dev (>= 1.34.1),
 libboost-thread-dev (>= 1.34.1)
Standards-Version: 3.9.1
XS-Python-Version: >= 2.5
Vcs-Git: git://git.debian.org/pkg-multimedia/mididings.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/mididings.git
Homepage: http://das.nasophon.de/mididings/

Package: python-mididings
Section: python
Architecture: any
Depends: ${shlibs:Depends},
 ${python:Depends},
 ${misc:Depends}
Suggests: python-dbus,
 python-tk,
 python-liblo,
 python-pyinotify
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: MIDI routing library for Python 
 mididings is a MIDI router and processor based on Python,
 supporting ALSA and JACK MIDI.
 .
 Features:
  * MIDI routing and filtering
    Filter events depending on their event type, channel,
    note number, velocity, etc., and freely route them
    between an arbitrary number of input and output ports.
  * Modifying and converting MIDI events
    Transpose notes, apply velocity curves, change
    controller values and ranges, or convert events to any
    other MIDI event type. mididings also includes more
    complex functions like a diatonic harmonizer, floating
    split points, latched notes, and more.
  * Seamless switching between patches
    Set up different "scenes", each with its own MIDI
    routing and processing, and switch between them at any
    time, even while playing. Switching scenes does not
    affect notes already held, and does not result in
    dropouts or stuck notes!
  * MIDI event monitoring, running external commands
    Print MIDI event data to the console to help debugging
    your patches and configuring your MIDI controllers. In
    addition to its MIDI output, mididings can also
    execute shell commands and send OSC or DBUS messages.

Package: mididings
Architecture: all
Depends: ${python:Depends},
 python-mididings (>= ${source:Version}),
 python-dbus,
 python-tk,
 python-liblo,
 python-pyinotify,
 ${misc:Depends}
Suggests: mididings-doc
Description: MIDI router and processor based on Python
 mididings is a MIDI router and processor based on Python,
 supporting ALSA and JACK MIDI.
 .
 This package contains the mididings and livedings
 applications.

Package: mididings-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: mididings Documentation
 mididings is a MIDI router and processor based on Python,
 supporting ALSA and JACK MIDI.
 .
 This package contains the documentation files for mididings.
