=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- --enable-smf

override_dh_installchangelogs:
	dh_installchangelogs NEWS
