## mididings 0~20120312

=== debian/changelog ===
mididings (0~20120312-1) unstable; urgency=low

  * New upstream release:
    - Added methods apply(), invert() and negate() to filter objects, and
      made AndSelector and OrSelector public classes. Anything that can be
      done with funny overloaded operators is now also possible with regular
      functions and objects.
    - Added option -n to livedings, based on a patch by AurÃ©lien.
    - Added SysExEvent() function in mididings.event module.
    - Added Restart() and Quit() in mididings.extra module.
    - Fixed PitchbendEvent().
    - Fixed selector operators & and | for more than two filters.
    - Print correct note names when using Python 3.
    - Fixed operator != for comparing MidiEvent objects.
    - Fixed compilation on OS X, automatically disable ALSA backend on
      non-Linux platforms.
    - Extended and reorganized unit tests.
    - Some documentation cleanup.
  * Ignor errors on clean to allow building the source package without
    installing python-gobject-dev.
  * Refresh debian/copyright.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Wed, 21 Mar 2012 14:00:39 +0100

mididings (0~20101119-2) unstable; urgency=low

  * mididings strictly depends on the current upstream release.
  * Use dh_installexamples to install example files.
  * Strip examples from mididings-doc.install file.
  * Switch to dh_python2.

 -- Alessio Treglia <alessio@debian.org>  Tue, 19 Apr 2011 17:16:07 +0200
