=== debian/control ===
--- 
+++ 
@@ -2,18 +2,19 @@
 Section: sound
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
-Uploaders: Alessio Treglia <alessio@debian.org>
-Build-Depends: debhelper (>= 7.0.50~),
- python-all-dev (>= 2.5),
+Uploaders:
+ Alessio Treglia <alessio@debian.org>
+Build-Depends:
+ debhelper (>= 7.0.50~),
  libasound2-dev,
+ libboost-python-dev (>= 1.34.1),
+ libboost-thread-dev (>= 1.34.1),
  libjack-dev,
- python-support (>= 0.90),
- python-gobject-dev (>= 2.18.0),
  libsmf-dev,
- libboost-python-dev (>= 1.34.1),
- libboost-thread-dev (>= 1.34.1)
-Standards-Version: 3.9.1
-XS-Python-Version: >= 2.5
+ python-all-dev (>= 2.6.6-3~),
+ python-gobject-dev (>= 2.18.0)
+Standards-Version: 3.9.3
+X-Python-Version: >= 2.5
 Vcs-Git: git://git.debian.org/pkg-multimedia/mididings.git
 Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/mididings.git
 Homepage: http://das.nasophon.de/mididings/
@@ -21,16 +22,18 @@
 Package: python-mididings
 Section: python
 Architecture: any
-Depends: ${shlibs:Depends},
+Depends:
+ ${misc:Depends},
  ${python:Depends},
- ${misc:Depends}
-Suggests: python-dbus,
- python-tk,
+ ${shlibs:Depends}
+Suggests:
+ python-dbus,
  python-liblo,
- python-pyinotify
-Provides: ${python:Provides}
-XB-Python-Version: ${python:Versions}
-Description: MIDI routing library for Python 
+ python-pyinotify,
+ python-tk
+Provides:
+ ${python:Provides}
+Description: MIDI routing library for Python
  mididings is a MIDI router and processor based on Python,
  supporting ALSA and JACK MIDI.
  .
@@ -59,14 +62,17 @@
 
 Package: mididings
 Architecture: all
-Depends: ${python:Depends},
+Depends:
+ python-dbus,
+ python-liblo,
+ python-mididings (<< ${source:Upstream-Version}+1~),
  python-mididings (>= ${source:Version}),
- python-dbus,
+ python-pyinotify,
  python-tk,
- python-liblo,
- python-pyinotify,
- ${misc:Depends}
-Suggests: mididings-doc
+ ${misc:Depends},
+ ${python:Depends}
+Suggests:
+ mididings-doc
 Description: MIDI router and processor based on Python
  mididings is a MIDI router and processor based on Python,
  supporting ALSA and JACK MIDI.
@@ -77,7 +83,8 @@
 Package: mididings-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}
+Depends:
+ ${misc:Depends}
 Description: mididings Documentation
  mididings is a MIDI router and processor based on Python,
  supporting ALSA and JACK MIDI.
