=== debian/watch ===
version=3
opts="uversionmangle=s/^/0~/" \
http://das.nasophon.de/download/ mididings-(\d+)\.tar\.gz
