## mididings 0~20120419~ds0

=== src/SConstruct ===
--- 
+++ 
@@ -12,13 +12,14 @@
     return lib + '-mt'
 
 env = Environment(
+#    CXX = 'clang++',
 #    CCFLAGS = ['-O2', '-W', '-Wall', '-finline-functions', '-fvisibility=hidden'],
     CCFLAGS = ['-g', '-W', '-Wall'],
     CPPDEFINES = [
 #        'NDEBUG',
 #        'ENABLE_DEBUG_FN',
 #        'ENABLE_DEBUG_PRINT',
-        'ENABLE_TEST',
+#        'ENABLE_DEBUG_STATS',
 #        'ENABLE_BENCHMARK',
         'ENABLE_ALSA_SEQ',
         'ENABLE_JACK_MIDI',
@@ -45,9 +46,11 @@
 
 env.Append(
     CPPPATH = [sysconfig.get_python_inc(plat_specific=1)],
-    LIBPATH = [sysconfig.get_python_lib(plat_specific=1)]
+    LIBPATH = [sysconfig.get_python_lib(plat_specific=1)],
 #    CPPPATH = ['/opt/boost1.43/include', '/opt/python3.2/include/python3.2m'],
 #    LIBPATH = ['/opt/boost1.43/lib', '/opt/python3.2/lib'],
+#    CPPPATH = ['/opt/boost1.46.1/include', '/usr/include/python3.1'],
+#    LIBPATH = ['/opt/boost1.46.1/lib'],
 )
 
 sources = [
