=== debian/changelog ===
mididings (0~20120419~ds0-5) unstable; urgency=medium

  * QA upload
  * Orphaning this

 -- Alessio Treglia <alessio@debian.org>  Tue, 16 Feb 2016 10:57:42 +0000

mididings (0~20120419~ds0-4) unstable; urgency=medium

  * Team upload.
  * Add patch to compile with Boost 1.54 (Closes: #733395)
  * Enable boost_1.54.patch
  * Build-depend on at least boost-1.54.

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Mon, 24 Feb 2014 11:07:55 +0000

mididings (0~20120419~ds0-3) unstable; urgency=low

  * Enable hardening by bumping DH compat up.
  * Fix VCS URLs to meet the canonical form.
  * Depend on python.
  * Improve debian/watch file to properly mangle dversion.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Tue, 08 Oct 2013 15:20:56 +0100

mididings (0~20120419~ds0-2) unstable; urgency=low

  * Team upload.
  * debian/patches/time_utc.patch: Fix FTBFS because of the boost::TIME_UTC to
    boost::TIME_UTC_ name change. (Closes: #710636).

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 05 Jul 2013 11:41:35 +0200

mididings (0~20120419~ds0-1) unstable; urgency=low

  * New upstream release.
  * Depends on python-decorator.

 -- Alessio Treglia <alessio@debian.org>  Mon, 23 Apr 2012 01:38:46 +0200
