=== debian/control ===
--- 
+++ 
@@ -1,28 +1,25 @@
 Source: mididings
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
-Uploaders:
- Alessio Treglia <alessio@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends:
- debhelper (>= 7.0.50~),
+ debhelper (>= 9~),
  libasound2-dev,
- libboost-python-dev (>= 1.34.1),
- libboost-thread-dev (>= 1.34.1),
+ libboost-python-dev (>= 1.54),
+ libboost-thread-dev (>= 1.54),
  libjack-dev,
  libsmf-dev,
  python-all-dev (>= 2.6.6-3~),
  python-gobject-dev (>= 2.18.0)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 X-Python-Version: >= 2.5
-Vcs-Git: git://git.debian.org/pkg-multimedia/mididings.git
-Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/mididings.git
 Homepage: http://das.nasophon.de/mididings/
 
 Package: python-mididings
 Section: python
 Architecture: any
 Depends:
+ python-decorator,
  ${misc:Depends},
  ${python:Depends},
  ${shlibs:Depends}
@@ -63,6 +60,7 @@
 Package: mididings
 Architecture: all
 Depends:
+ python,
  python-dbus,
  python-liblo,
  python-mididings (<< ${source:Upstream-Version}+1~),
