=== debian/changelog ===
mididings (0~20101119-2build1) precise; urgency=low

  * Rebuild to drop python2.6 dependencies.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 31 Dec 2011 02:05:20 +0000
